package com.hzya.frame.grpU8.nxproof.oerdjml.dao;


import com.hzya.frame.basedao.dao.IBaseDao;
import com.hzya.frame.grpU8.nxproof.oerdjml.entity.GbiZbsyrecAllEntity;
import com.hzya.frame.grpU8.nxproof.oerdjml.entity.OerDjmlEntity;

import java.util.List;

/**
 * @Author:hecan
 * @Description:
 * @params:
 * @return:
 * @Date: 2023/6/19 14:54
 */
public interface IOerDjmlDao extends IBaseDao<OerDjmlEntity,String> {


    /***
     * 根据公司代码获取单据最大号
     * @Author 👻👻👻👻👻👻👻👻 gjh
     * @Date  2023-06-29 15:17
     * @param oerDjmlEntity
     * @return java.lang.String
     **/
    String getMaxDjbgByGsdm(OerDjmlEntity oerDjmlEntity);

    /****
     * 根据公司代码获取最大MLID
     * @Author 👻👻👻👻👻👻👻👻 gjh
     * @Date  2023-06-29 15:24
     * @Param [gsdm]
     * @return java.lang.String
     **/
    String getMaxMlIdByGsdm(OerDjmlEntity oerDjmlEntity);

    //获取最大单据编号，指标被占用时候
    String getMaxDjbgByGsdmZy(OerDjmlEntity oerDjmlEntity);

    OerDjmlEntity queryOerDjmlEntity(OerDjmlEntity oerDjmlEntity);

    List<OerDjmlEntity> queryOerDjml(OerDjmlEntity oerDjmlAllEntity);

    Integer updateOerDjmlZt(OerDjmlEntity oerDjmlAllEntity);
    Integer updateOerDjml(OerDjmlEntity oerDjmlAllEntity);

    Integer updateGbiZbsyrecByDjid(GbiZbsyrecAllEntity gbiZbsyrecAllEntity);

    Integer updateData(OerDjmlEntity oerdjml);

    Integer saveData(OerDjmlEntity oerdjml);
}
